@import url('https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* General Styling */

html {
  scroll-behavior: smooth;
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  height: auto;
  min-height: 100vh;
  overflow-x: hidden;
  background-color: rgb(22, 22, 22);
  font-family: 'Barlow', sans-serif;
}

section {
  min-height: 100vh;
}

.section-title h2 {
  font-size: 4rem;
  font-weight: 500;
  color: white;
}

/* Navigation */

.menu-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  cursor: pointer;
  position: fixed;
  top: 15px;
  left: 15px;
  width: 2rem;
  height: 2rem;
  z-index: 100;
}

.menu-icon div {
  height: 0.25rem;
  background-color: white;
  transition: all 0.3s ease-in-out;
}

.active .bar1 {
  transform: translateY(0.6rem) rotate(-45deg);
}

.active .bar2 {
  opacity: 0;
}

.active .bar3 {
  transform: translateY(-0.7rem) rotate(45deg);
}

.nav-wrapper {
  height: 60px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 100;
}

nav {
  height: 100%;
  color: white;
  position: fixed;
  top: 0;
  left: 0;
  transform: translateX(-100%);
  transition: transform 0.4s ease-in-out;
  width: 200px;
  z-index: 2;
}

nav ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 85%;
  font-size: 2rem;
}

nav a {
  text-decoration: none;
  color: white;

  &:hover {
    padding-bottom: 5px;
    border-bottom: 5px solid white;
  }
}

nav ul li {
  margin: 1rem 0;
}

nav.active {
  transform: translateX(0);
}

/* Home Section */

#home {
  display: grid;
  place-items: center;
}

.slideshow {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  position: relative;
}

.slideshow::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0.1),
    rgba(0, 0, 0, 0.1),
    rgba(0, 0, 0, 0.2),
    rgba(0, 0, 0, 0.2),
    rgba(22, 22, 22, 1)
  );
  pointer-events: none;
}

.slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 2s;
}

.slide.active {
  opacity: 1;
}

/* Title */

.page-title {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  text-align: center;
}

.page-title h1 {
  color: white;
  font-size: 5rem;
  font-weight: 300;
  margin: 0;
}

/* Scroll Down Animation */

.mouse {
  width: 45px;
  height: 80px;
  border: 3px solid white;
  border-radius: 60px;
  position: absolute;
  bottom: 20px;
}

.mouse::before {
  content: '';
  width: 12px;
  height: 12px;
  background-color: white;
  border-radius: 50%;
  position: absolute;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  opacity: 1;
  animation: wheelAnimation 2s infinite;
}

@keyframes wheelAnimation {
  to {
    opacity: 0;
    top: 60px;
  }
}

/* About Section */
.about-container {
  display: grid;
  place-items: center;
}

.about-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: auto;
  grid-gap: 5px;
  color: white;
  width: 50vw;
}

.box1 {
  grid-area: 1 / 1 / 3 / 3;
}
.box2 {
  grid-area: 3 / 1 / 5 / 2;
}
.box3 {
  grid-area: 3 / 2 / 5 / 3;
}
.box4 {
  grid-area: 5 / 1 / 7 / 2;
}
.box5 {
  grid-area: 5 / 2 / 7 / 3;
}
.box6 {
  grid-area: 7 / 1 / 9 / 3;
}

.about-grid div {
  background-color: #264653;
  display: grid;
  place-items: center;
  line-height: 1.5;
}

.text-box {
  box-sizing: border-box;
  width: 75ch;
  padding: 70px;
}

.icon-box {
  padding: 20%;
  text-align: center;
  color: black;
}

.icon-box i {
  font-size: 50px;
}

.icon-box:nth-child(2) {
  background: #2a9d8f;
}

.icon-box:nth-child(3) {
  background: #e9c46a;
}

.icon-box:nth-child(4) {
  background: #f4a261;
}

.icon-box:nth-child(5) {
  background: #e76f51;
}

/* Projects Section */

.projects-container {
  text-align: center;
  margin-bottom: 100px;
  padding: 25px 20px 0 20px;
  display: grid;
  place-items: center;
}

.project-items-container {
  width: 78vw;
  display: grid;
  place-items: center;
}

.project-item-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 200px;
}

.project-slideshow {
  width: 49%;
  height: 500px;
  position: relative;
  overflow: hidden;
  display: grid;
  place-items: center;
  margin-right: 20px;
}

.project-slideshow img {
  width: auto;
  height: 400px;
  object-fit: cover;
}

.project-slide,
.project-slide-2 {
  position: absolute;
  object-fit: cover;
  opacity: 0;
  transition: opacity 2s;
}

.project-slide.active,
.project-slide-2.active {
  opacity: 1;
}

.project-description {
  width: 40%;
  color: white;
  background: rgb(30, 30, 30);
  padding: 10px 20px;
  text-align: left;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  position: relative;
  border-radius: 5px;
}

@property --angle {
  syntax: '<angle>';
  initial-value: 0deg;
  inherits: false;
}

.project-description::after, .project-description::before {
  content: '';
  position: absolute;
  height: 100%;
  width: 100%;
  background-image: conic-gradient(from var(--angle), #ff4545, #00ff99, #006aff, #ff0095, #ff4545);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
  padding: 2px;
  border-radius: 5px;
  animation: 5s rotate-gradient linear infinite;
}

@keyframes rotate-gradient {
  from {
    --angle: 0deg;
  }
  to {
    --angle: 360deg;
  }
}

.project-description::before {
  filter: blur(0.7rem);
  opacity: 0.8;
}

.project-description p {
  line-height: 1.5;
}

.project-description ul {
  line-height: 2;
}

.tech-stack-1,
.tech-stack-2,
.tech-stack-3,
.tech-stack-4,
.tech-stack-5,
.tech-stack-6 {
  padding: 6px 12px;
  margin: 6px;
  border-radius: 5px;
  display: inline-block;
  color: white;
  font-weight: 500;
  cursor: default;
}

.tech-stack-1 {
  background-color: #2a9d8f;
}

.tech-stack-2 {
  background-color: #e76f51;
}

.tech-stack-3 {
  background-color: #e9c46a;
  color: black;
}

.tech-stack-4 {
  background-color: #ff5566;
}

.tech-stack-5 {
  background-color: #264653;
}

.tech-stack-6 {
  background-color: #f4a261;
  color: black;
}

.shiny {
  background-repeat: no-repeat;
  background-position: 200% 0;
  background-image: linear-gradient(
    120deg,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0.4) 60%,
    rgba(255, 255, 255, 0.2) 100%
  );
  background-size: 200% 100%;
  transition: background-position 0.3s ease;
}

.shiny:hover {
  background-position: 0 0;
}

.link-container {
  width: 100%;
  margin: 10px auto;
  display: flex;
  justify-content: start;
  align-items: baseline;
}

.github-link,
.live-link {
  margin-top: 8px;
  margin-left: 6px;
  padding: 6px 12px;
  border: 1px solid #333;
  border-radius: 5px;
  text-decoration: none;
  transition: background-color 0.3s ease;
  color: white;

  &:hover {
    background-color: #333;
  }
}

/* Contact Section */

#contact {
  --parallelowow-tile-width: 60;
  --parallelowow-base-color: #ff5566;
  --parallelowow-color-step: 0;
  --parallelowow-probability: 0.25;
  --parallelowow-stroke-weight: 0.5;
  background: paint(parallelowow), var(--parallelowow-base-color);
  color: white;
}

.contact-container {
  display: grid;
  place-items: center;
  height: 100vh;
  position: relative;
  background-image: linear-gradient(
    to bottom,
    rgba(22, 22, 22, 1),
    rgba(0, 0, 0, 0.1),
    rgba(0, 0, 0, 0.9)
  );
}

.banner-link {
  display: block;
  height: 50px;
  width: 100%;
  position: relative;
  text-decoration: none;
  color: white;
}

.banner {
  position: absolute;
  left: 0;
  bottom: 10%;
  width: 100vw;
  height: 50px;
  background-color: #7d0e0e;
  overflow: hidden;
  transform: rotate(-3deg);
  transform-origin: 0 100%;
  display: flex;
  align-items: center;
}

.banner-content {
  white-space: nowrap;
  display: inline-block;
  position: absolute;
  left: 0;
  animation: scrollBanner 60s linear infinite;
  font-size: 1rem;
  transition: font-size 0.3s ease-in-out;

  &:hover {
    font-size: 1.05rem;
  }
}

@keyframes scrollBanner {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

.contact-message {
  margin-right: 25px;
}

/* Footer*/
footer {
  position: relative;
}

.social-media-icons {
  width: 100%;
  font-size: 30px;
  position: absolute;
  bottom: 60px;
  display: flex;
  justify-content: center;
}

.social-media-icons i {
  cursor: pointer;
  transition: transform 0.3s ease;

  &:hover {
    transform: scale(1.1);
  }
}

.social-media-icons i:not(:first-child) {
  margin-left: 15px;
}

.social-media-icons a {
  cursor: pointer;
  transition: transform 0.3s ease;
  color: white;

  &:hover {
    transform: scale(1.1);
  }
}

.social-media-icons a:not(:first-child) {
  margin-left: 15px;
}

.footer-text {
  font-size: smaller;
  position: absolute;
  bottom: 20px;
  width: 100%;
  text-align: center;
}

/* Media Queries */

/* All Mobile Devices */

@media screen and (max-width: 1180px) {
  html {
    scroll-behavior: auto;
  }
  nav {
    width: 100%;
    background: rgba(0, 0, 0, 0.8);
  }
  nav ul {
    padding-left: 0;
  }

  .projects-container {
    padding: 0;
  }

  .project-items-container {
    width: 95vw;
  }

  .project-item-container {
    flex-direction: column;
    width: 95vw;
    margin-bottom: 0;
  }

  .project-item-container:last-child {
    flex-direction: column-reverse;
  }

  .project-slideshow {
    height: 400px;
    margin: 0;
  }

  .project-slideshow,
  .project-description {
    width: 95%;
  }

  .project-slideshow img {
    height: 270px;
  }
}

/* Tablet Vertical (Large) */

@media screen and (orientation: portrait) and (max-width: 1180px) {
  .about-grid {
    width: 80vw;
  }
  .text-box {
    width: 80vw;
    padding: 50px;
  }
  .projects-grid {
    margin: 0 10%;
  }
  .banner {
    transform: rotate(0deg);
  }
}

/* Tablet Horizontal (Large) */
@media screen and (min-width: 800px) and (max-width: 1180px) {
  .about-grid {
    width: 80vw;
  }
  .text-box {
    padding: 50px;
  }
  .projects-grid {
    margin: 0 10%;
  }
}

/* Tablet Horizontal (Small) */
@media screen and (orientation: landscape) and (max-height: 769px) {
  .section-title h2 {
    font-size: 3rem;
  }
  .banner {
    transform: rotate(-3deg);
  }
}

/* Smartphone Horizontal */
@media screen and (orientation: landscape) and (max-height: 450px) {
  .banner {
    bottom: 80px;
  }

  .section-title h2 {
    font-size: 3rem;
  }
  .page-title h1 {
    font-size: 3rem;
  }
  .about-grid {
    grid-template-columns: 1fr;
    width: 100vw;
  }
  .box1,
  .box2,
  .box3,
  .box4,
  .box5,
  .box6 {
    grid-area: unset;
    grid-column: 1;
  }
  .text-box {
    width: 90vw;
    padding: 40px;
  }
}

/* Smartphone Vertical */
@media screen and (max-width: 600px) {
  .section-title h2 {
    font-size: 3rem;
  }
  .page-title h1 {
    font-size: 3.5rem;
  }
  .about-grid {
    grid-template-columns: 1fr;
    width: 100vw;
  }
  .box1,
  .box2,
  .box3,
  .box4,
  .box5,
  .box6 {
    grid-area: unset;
    grid-column: 1;
  }
  .text-box {
    width: 90vw;
    padding: 40px;
  }

  .project-description {
    width: 90%;
  }
}
